#version 330

layout (location = 0) out vec4 fragColor;
layout (location = 1) out vec4 brightColor;

uniform sampler2D colorMap;

uniform vec2 screenSize;

uniform float lightIntensity;
uniform vec3 lightColor;

void main()
{
	vec2 texCoord = gl_FragCoord.xy / screenSize;
	vec3 color = texture(colorMap, texCoord).rgb;

    vec3 ambient = lightIntensity * (color + lightColor * lightIntensity);

	fragColor = vec4(ambient, 1.0);

	float brightness = dot(fragColor.rgb, vec3(0.2126, 0.7152, 0.0722));
    if(brightness > 1.0) {
        brightColor = vec4(fragColor.rgb, 1.0);
	}
	else {
			brightColor = vec4(0,0,0,1);
		}
}
