#version 330 core
out vec4 FragColor;

uniform sampler2D scene;
uniform sampler2D bloomBlur;

uniform vec2 screenSize;


void main()
{   
	vec2 TexCoords = gl_FragCoord.xy / screenSize;

    vec3 color = texture(scene, TexCoords).rgb;      
    vec3 bloomColor = texture(bloomBlur, TexCoords).rgb;

    FragColor = vec4(color + bloomColor, 1.0f);
}