#version 330 core

layout(location = 0) in vec3 position;
layout(location = 2) in vec3 normals;
layout(location = 1) in vec2 uv;

out vec3 worldNormal;
out vec2 texCoord;
out vec3 worldPos;

uniform mat4 model;
uniform mat4 view_proj;

void main() {
	gl_Position = view_proj * model * vec4( position, 1 );
	worldNormal = ( model * vec4( normals, 0 ) ).xyz;
	texCoord = uv;
	worldPos = (model * vec4( position, 1.0 )).xyz;
}