#version 330 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normals;
layout (location = 2) in vec2 uv; 

uniform mat4 lightSpaceMatrix;
uniform mat4 model;
uniform mat4 view_proj;

out vec4 FragPosLightSpace;

void main()
{
    gl_Position = lightSpaceMatrix * model * vec4(position, 1.0f);
	vec3 fragPos = vec3(model * vec4(position, 1.0f));
	FragPosLightSpace = lightSpaceMatrix * vec4(fragPos, 1.0);
}  