#version 330
                                                                        
in vec2 TexCoord0;                                                                  
in vec3 Normal0;                                                                    
in vec3 WorldPos0;

layout (location = 0) out vec3 WorldPosOut;   
layout (location = 1) out vec3 DiffuseOut;     
layout (location = 2) out vec3 NormalOut;     
layout (location = 3) out vec4 GlowOut;
layout (location = 4) out vec4 OpacityOut;  
										
uniform sampler2D gColorMap;
uniform float opacity;
uniform bool glow;
uniform float glowFactor;
											
void main()									
{											
	WorldPosOut     = WorldPos0;
	DiffuseOut      = texture(gColorMap, TexCoord0).xyz;
	bool glow0 = false;
	if(DiffuseOut.x == 0.0f, DiffuseOut.y == 0.0f, DiffuseOut.z == 0.0f) {
		glow0 = true;
		DiffuseOut = vec3(1,1,1);
	}

	if(opacity < 1.0f) {					
		DiffuseOut      = opacity * texture(gColorMap, TexCoord0).xyz;
	}
	NormalOut       = normalize(Normal0);					
	
	if(glow0 == true && opacity == 1.0f) {
		GlowOut = vec4(DiffuseOut, 1.0)*glowFactor;
	}
	else {
		GlowOut = vec4(0,0,0,1);
	}
	OpacityOut = vec4(opacity,0,0,1);
}
